This page explains how to create Video elements.
| Attribute | Value | Mandatory |
|---|---|---|
| title | A non-empty string | YES |
| video |
Video source URL. Formats accepted: avi, mpg, mp4, flv, mov, wmv
If you don't have a remote video resource you can upload a video using the Guide to upload a video |
YES |
| short_description | A string | NO |
| description | A string | NO |
| tags | A string where each tag has the character , as a divider |
NO |
| preview_image | A reference to the absolute path of the image on your disk or a remote URL. Formats accepted: jpg, png, gif |
NO |
| snapshot | 1 if you want to automatically generate a poster image. 0 to disable automatic generation. |
NO |
| snapshot_time | the time instance from which to generate the poster image. Mandatory format: hh:mm:ss.xxx (hours:minutes:seconds.milliseconds). The parameter snapshot must be set to 1. |
NO |
| squeeze_slot | Encoder slot from which you want to convert the video. To view the slots available on your Meride, query the queues_video.json resource | NO |
| Field | Value | Description |
|---|---|---|
| id | string | Object ID |
| title | string | The title of the video |
| short_description | string | The associated short description |
| description | string | The associated complete description |
| tags | string | List of tags separated by commas |
| duration | float | Video duration in seconds |
| available_video | boolean | If the video is available for playback, the value will be set 1, otherwise it will have the value 0 |
| invalid_video | boolean | 1 If the video was not converted correctly, 0 otherwise |
| created_at | string | The create date that follows the format Y-m-d H:i:sY(year) m(month) d(day) H(hours) i(minutes) s(seconds) |
| preview_image | string | URL of the associated preview image |
curl -i -H "Accept: application/json" -H "Content-Type:application/json" -H "access-token: [your-access-token]" -X POST http://API_DOMAIN/rest/v2/video.json -d '
{
"title": "Video title",
"video": "http:\/\/storage.video\/video_source.mp4",
"preview_image": "http:\/\/storage.image\/test_image.jpg"
}'
{
"id":"2",
"title":"Video title",
"short_description":"",
"description":"",
"tags":"",
"duration":306.32,
"available_video":"0",
"invalid_video":"0",
"created_at":"2012-09-25 17:55:47",
"preview_image":"http:\/\/example.com\/meride\/video\/images\/test_image.jpg"
}
Note The object created will be returned as a response
$merideApi = new Meride\Api('[your-auth-code]', 'http://API_DOMAIN/', 'v2');
$response = $merideApi->create('video', array (
'title' => 'Video title',
'video' => 'http://storage.video/video_source.mp4',
'preview_image' => 'http://storage.image/test_image.jpg',
));